Bug 549834 - system-config-display: ImportError: No module named system_config_keyboard.keyboard
system-config-display: ImportError: No module named system_config_keyboard.ke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-22 13:50 EST by Cristian Ciupitu
Modified: 2012-08-16 14:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/rpmpkgs (44.84 KB, text/plain)
2009-12-22 13:50 EST, Cristian Ciupitu
no flags Details

  None (edit)
Description Cristian Ciupitu 2009-12-22 13:50:30 EST
Created attachment 379893 [details]
/var/log/rpmpkgs

Description of problem:
Can not run system-config-display

Version-Release number of selected component (if applicable):
system-config-display-2.2-1.fc12.x86_64.rpm

How reproducible:
Every time.

Steps to Reproduce:
1. Run system-config-display as root from a X11 session
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 33, in <module>
    import system_config_keyboard.keyboard as keyboard

Expected results:
No errors

Additional info:
See my list of installed packages.
Comment 1 Cristian Ciupitu 2009-12-22 20:01:22 EST
I think that it should depend on the system-config-keyboard package.
Comment 2 Bjoern Rasmussen 2010-02-14 09:04:08 EST
Yes, I can confirm that!  Solved the problem for me.
Comment 3 Brian Dudek 2010-03-23 12:48:01 EDT
Same issue on Fedora 13 Alpha.

[root@dhcp03 mail]# uname -a
Linux dhcp03 2.6.33-1.fc13.i686.PAE #1 SMP Wed Feb 24 19:54:49 UTC 2010 i686 i686 i386 GNU/Linux

[root@dhcp03 mail]# rpm -qa system-config-display system-config-keyboard
system-config-keyboard-1.3.1-1.fc12.i686
system-config-display-2.2-1.fc12.i686


Maybe need to make system-config-keyboard a dependency of system-config-display?
Comment 4 Tethys 2010-08-08 05:34:50 EDT
Maybe need to work out why configuring the keyboard should be a
dependency of configuring the display, and remove that dependency,
rather than just add s-c-k to the RPM dependency list?
Comment 5 Bug Zapper 2010-11-03 22:45:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bjoern Rasmussen 2010-11-27 08:16:14 EST
Same problem in Fedora 14!
Comment 7 Bjoern Rasmussen 2010-11-27 08:19:04 EST
Can somebody change the version from 12 to 14?
Comment 8 Fedora End Of Life 2012-08-16 14:07:22 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.